> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Livechat Routing Configuration > This endpoint returns the livechat routing configuration. It is called automatically when logging into the application to make the Omnichannel/livechat features available in the client. ### Changelog | Version | Description | | ---------------- | ------------| |7.11.0 | Added | ## OpenAPI ````json GET /api/v1/livechat/config/routing { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/config/routing": { "get": { "summary": "Get Livechat Routing Configuration", "tags": [ "Livechat" ], "responses": { "200": { "description": "OK\r\nThe parameters in the response indicate whether the specific livechat setting in the workspace is enabled or not.", "content": { "application/json": { "schema": { "type": "object", "properties": { "config": { "type": "object", "properties": { "previewRoom": { "type": "boolean" }, "showConnecting": { "type": "boolean" }, "showQueue": { "type": "boolean" }, "showQueueLink": { "type": "boolean" }, "returnQueue": { "type": "boolean" }, "enableTriggerAction": { "type": "boolean" }, "autoAssignAgent": { "type": "boolean" } } }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "config": { "previewRoom": false, "showConnecting": false, "showQueue": false, "showQueueLink": true, "returnQueue": false, "enableTriggerAction": true, "autoAssignAgent": true }, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "operationId": "get-api-v1-livechat-config-routing", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" } ], "description": "This endpoint returns the livechat routing configuration. It is called automatically when logging into the application to make the Omnichannel/livechat features available in the client.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|7.11.0 | Added |\n " } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````